# Get Customs Product by Id

This operation retrieves the details of a specific Customs Product mapping by its unique `description`.
A customs product (description) represents a saved configuration of customs items defined for international shipment.

Endpoint: GET /api/v1/customsproduct/{customsProductId}
Version: 1.0.0
Security: bearerAuth

## Path parameters:

  - `customsProductId` (string, required)

## Response 200 fields (application/json):

  - `customsProductId` (string)
    Customs product identifier.
    Example: MGW40jeQAZ3m

  - `description` (string)
    Description of the product.
    Example: towel

  - `originCountryCode` (string)
    ISO country code of the product origin.
    Example: US

  - `hsTariffCode` (string)
    Harmonized System (HS) tariff code.
    Example: hsc01

  - `quantity` (integer)
    Quantity of the product.
    Example: 1

  - `unitPrice` (number)
    Unit price of the product.
    Example: 10

  - `itemId` (string)
    Unique identifier for the commodity.
    Example: item1

  - `url` (string)
    Product page URL.
    Example: abc

  - `productDimensions` (object)
    Physical details of the product (Item).

  - `productDimensions.length` (number)
    Length of the product.
    Example: 10

  - `productDimensions.height` (number)
    Height of the product.
    Example: 10

  - `productDimensions.width` (number)
    Width of the product.
    Example: 10

  - `productDimensions.dimUnit` (string)
    Unit of measurement for dimensions.
    Enum: "IN", "CM"

  - `weightUnit` (string)
    Unit of weight.
    Enum: "OZ", "GM"

  - `weight` (number)
    Weight of the product(Item).
    Example: 10

## Response 400 fields (application/json):

  - `errors` (array)
    List of errors.

  - `errors.errorCode` (string)
    This error can be validation_error or internal_error or not_found or already_exists
    Example: validation_error

  - `errors.errorDescription` (string)
    The HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: Customs Product not found

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, that indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.

